#include <bits/stdc++.h>

using namespace std;

int niz[2000001] = {0};

int main() {
	 int n, k, x;
	 cin >> n >> k;
	 for(int i = 0; i < n; i++) {
	 	cin >> x;
	 	niz[x + n]++;
	 }
	 int cnt = 0;
	 for(int i = 0; i <= 2*n; i++)
	 	if(niz[i] >= k) cnt++;	 	
	cout << cnt << '\n';
	for(int i = 0; i <= 2*n; i++)
	 	if(niz[i] >= k) cout << i - n << " ";	 
}